package router

import (
	"git.umbach.dev/app-idea/rest-api/routers/api/v1/user"

	"github.com/gofiber/fiber/v2"
)

func SetupRoutes(app *fiber.App) {
	api := app.Group("/api/v1")

	u := api.Group("/user")
	u.Get("/", user.SessionIdCheck, user.GetUser)
	u.Post("/login", user.Login)

	// TODO: change to POST
	u.Get("/activate/:id", user.ActivateUser)

	users := api.Group("/users")
	users.Post("/", user.NewUser)
	users.Get("/", user.SessionIdCheck, user.GetUsers)
}
